Package org.eclipse.emf.cdo.ui.compare

# Class CDOCompareEditorUtil.Input

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.compare.CompareEditorInput
org.eclipse.emf.compare.ide.ui.internal.editor.AbstractEMFCompareEditorInput
org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput
org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.Input

All Implemented Interfaces:
  `ICompareContainer`, `IPropertyChangeNotifier`, `IAdaptable`, `IRunnableContext`, `IRunnableWithProgress`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `IEditorInput`

Enclosing class:
  `CDOCompareEditorUtil`

public static final class CDOCompareEditorUtil.Input extends org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput implements org.eclipse.net4j.util.properties.IPropertiesContainer

Since:
  4.4
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.compare.CompareEditorInput

`DIRTY_STATE, PROP_SELECTED_EDITION, PROP_TITLE, PROP_TITLE_IMAGE`

## Method Summary

Modifier and Type
Method
Description
`Control`
`createContents(Composite parent)`
`protected CompareViewerPane`
`createStructureInputPane(Composite parent)`
`boolean`
`forEachDiffElement(Predicate<Object> consumer)`
`<T> T`
`getAdapter(Class<T> type)`
`CDOCommitInfo`
`getCommitInfo()`
`org.eclipse.emf.compare.Comparison`
`getComparison()`
`IEditorPart`
`getEditor()`
`Consumer<IProgressMonitor>`
`getSaveHandler()`
`CompareViewerPane`
`getStructureInputPane()`
`Image`
`getTitleImage()`
`static TreeNode`
`getTreeNode(Object diffElement)`
`TreeViewer`
`getTreeViewer()`
`StructuredViewer`
`getViewerWrapper()`
`boolean`
`isEditionSelectionDialog()`
`boolean`
`isModal()`
`boolean`
`isOK()`
Returns `true` if the OK button was pressed, `false` otherwise.
`boolean`
`okPressed()`
`org.eclipse.net4j.util.registry.IRegistry<String,Object>`
`properties()`
`void`
`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
`saveChanges(IProgressMonitor monitor)`
`void`
`setDisposeRunnables(List<Runnable> disposeRunnables)`
`void`
`setEditionSelectionDialog(boolean editionSelectionDialog)`
`void`
`setModal(boolean modal)`
`void`
`setSaveHandler(Consumer<IProgressMonitor> saveHandler)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput

`doPrepareInput`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.editor.AbstractEMFCompareEditorInput

`cancelPressed, getAdapterFactory, getCompareConfiguration, getEditingDomain, prepareInput`

### Methods inherited from class org.eclipse.compare.CompareEditorInput

`addCompareInputChangeListener, addPropertyChangeListener, belongsTo, canRunAsJob, contentsCreated, contributeToToolBar, createContentViewerSwitchingPane, createDiffViewer, createOutlineContents, exists, findContentViewer, findStructureViewer, firePropertyChange, flushLeftViewers, flushRightViewers, flushViewers, getActionBars, getCancelButtonLabel, getCompareResult, getContainer, getContentViewerDescriptor, getImageDescriptor, getMessage, getName, getNavigator, getOKButtonLabel, getPersistable, getSelectedEdition, getServiceLocator, getStructureViewerDescriptor, getTitle, getToolTipText, getWorkbenchPart, handleDispose, isDirty, isLeftSaveNeeded, isRightSaveNeeded, isSaveNeeded, registerContextMenu, removeCompareInputChangeListener, run, run, runAsynchronously, save, setContainer, setContentViewerDescriptor, setDirty, setFocus, setFocus2, setHelpContextId, setLeftDirty, setMessage, setRightDirty, setStatusMessage, setStructureViewerDescriptor, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getComparison

public org.eclipse.emf.compare.Comparison getComparison()

### getTitleImage

public Image getTitleImage()

Overrides:
  `getTitleImage` in class `CompareEditorInput`

### isModal

public boolean isModal()

Since:
  4.8

### setModal

public void setModal(boolean modal)

Since:
  4.8

### isEditionSelectionDialog

public boolean isEditionSelectionDialog()

Overrides:
  `isEditionSelectionDialog` in class `CompareEditorInput`

### setEditionSelectionDialog

public void setEditionSelectionDialog(boolean editionSelectionDialog)

Since:
  4.9

### createContents

public Control createContents(Composite parent)

Overrides:
  `createContents` in class `CompareEditorInput`

### createStructureInputPane

protected CompareViewerPane createStructureInputPane(Composite parent)

Overrides:
  `createStructureInputPane` in class `CompareEditorInput`

### getStructureInputPane

public CompareViewerPane getStructureInputPane()

Since:
  4.9

### getViewerWrapper

public StructuredViewer getViewerWrapper()

Since:
  4.9

### getTreeViewer

public TreeViewer getTreeViewer()

Since:
  4.9

### forEachDiffElement

public boolean forEachDiffElement(Predicate<Object> consumer)

Since:
  4.9

### getAdapter

public <T> T getAdapter(Class<T> type)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `CompareEditorInput`

### getEditor

public IEditorPart getEditor()

Since:
  4.9

### setDisposeRunnables

public void setDisposeRunnables(List<Runnable> disposeRunnables)

### getSaveHandler

public Consumer<IProgressMonitor> getSaveHandler()

Since:
  4.9

### setSaveHandler

public void setSaveHandler(Consumer<IProgressMonitor> saveHandler)

Since:
  4.9

### saveChanges

public void saveChanges(IProgressMonitor monitor) throws CoreException

Overrides:
  `saveChanges` in class `CompareEditorInput`
Throws:
  `CoreException`

### getCommitInfo

public CDOCommitInfo getCommitInfo()

Since:
  4.6

### isOK

public boolean isOK()
Returns `true` if the OK button was pressed, `false` otherwise.

### okPressed

public boolean okPressed()

Overrides:
  `okPressed` in class `CompareEditorInput`

### removePropertyChangeListener

public void removePropertyChangeListener(IPropertyChangeListener listener)

Specified by:
  `removePropertyChangeListener` in interface `IPropertyChangeNotifier`
Overrides:
  `removePropertyChangeListener` in class `CompareEditorInput`

### properties

public org.eclipse.net4j.util.registry.IRegistry<String,Object> properties()

Specified by:
  `properties` in interface `org.eclipse.net4j.util.properties.IPropertiesContainer`

### getTreeNode

public static TreeNode getTreeNode(Object diffElement)

Since:
  4.9